Subject: Re: bug#9087: Crash reading from minibuffer with icomplete-mode

From: martin rudalics <[email-masked]>
Date: Sat, 07 Jan 2012 17:27:45 +0100

> This call to QUIT is the problem, because this code runs in a
 > different thread than the main Lisp thread, the one that set up the
 > setjmp point to which we longjmp when we throw to top level.  So it
 > unwinds the wrong stack.

Thanks.  I'm beginning to understand.  Is post_character_message the
only potential source of this problem or are there others as well?

 > By contrast, C-g does not call signal_user_input to be called, see
 > above.  So it avoids this fate.

Naively asked: Could we avoid the problem if on normal input we did not
call signal_user_input but did something similar to C-g handling?

martin